<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Byakurai
 */

defined( 'ABSPATH' ) || exit;
?>
	<header>
		<?php
		the_archive_title( '<h1 class="page-title">', '</h1>' );
		$description = get_the_archive_description();
		if ( $description ) :
			?>
			<div class="archive-description"><?php echo wp_kses_post( wpautop( $description ) ); ?></div>
		<?php endif; ?>
	</header>
		<?php
		if ( have_posts() ) :
			/* Start the Loop */
			while ( have_posts() ) {
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content' );

			}

			the_posts_pagination();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
